This URL adds a protected object to a VM group.
Resource URL
POST /vmgroup/<VM group Id>/protectedObject
Request Parameters
URL Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| VM group ID. You can use the | string | Yes |
Payload Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Type of protected object | string | Yes |
| Value of the protected object | string | Yes |
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if the addition of protected group to the VM group is successful. Value is set to Value is set to | string |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
Example
Request
POST https://<NSM_IP>/intruvert/webservice/api/v1/cloud/vmgroup/12/protectedObject
{
"type":"cidr",
"value":"1.1.1.0/24"
}
Response
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": null
}